# Generated from linguists_field_guide-0.3.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name linguists_field_guide

Name: rubygem-%{gem_name}
Version: 0.3.0
Release: 1%{?dist}
Summary: Linguist's Field Guide
License: MIT
URL: https://github.com/ticky/linguists-field-guide
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(simplecov) >= 0.21.2
# BuildRequires: rubygem(simplecov) < 0.22
# BuildRequires: rubygem(github-linguist) >= 7.13.0
# BuildRequires: rubygem(github-linguist) < 7.14
BuildArch: noarch

%description
Field guide for programming languages, based on the knowledge imparted by
github-linguist.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.md
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Mon Sep 13 2021 mockbuilder - 0.3.0-1
- Initial package
